package DB;
final public class DataTypeHolder
	implements org.omg.CORBA.portable.Streamable
{
	public DataType value;

	public DataTypeHolder ()
	{
	}
	public DataTypeHolder (DataType initial)
	{
		value = initial;
	}
	public org.omg.CORBA.TypeCode _type()
	{
		return DataTypeHelper.type();
	}
	public void _read(org.omg.CORBA.portable.InputStream in)
	{
		value = DataTypeHelper.read(in);
	}
	public void _write(org.omg.CORBA.portable.OutputStream out)
	{
		DataTypeHelper.write(out,value);
	}
}
